package org.jdtaus.core.lang.ri.limited;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class LimitingMemoryManagerBundle{ 

public static String getForcingGarbageCollectionText(final Locale locale) {
    return getMessage("forcingGarbageCollection", locale);
}

public static MessageFormat getForcingGarbageCollectionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("forcingGarbageCollection", locale), locale);
}

public static String getOutOfMemoryWarningText(final Locale locale) {
    return getMessage("outOfMemoryWarning", locale);
}

public static MessageFormat getOutOfMemoryWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("outOfMemoryWarning", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.lang.ri.limited.LimitingMemoryManager", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
